frappe.ui.form.on('Tax Article', {
    // При изменении date_from
    date_from: function(frm) {
        calculate_date_to(frm);
    }
});

// Рассчитать date_to на основе date_from и duration
function calculate_date_to(frm) {
    if (!frm.doc.date_from || !frm.doc.duration) return;
    
    let from_date = frappe.datetime.str_to_obj(frm.doc.date_from);
    let to_date = new Date(from_date);
    to_date.setFullYear(to_date.getFullYear() + frm.doc.duration);
    
    frm.set_value('date_to', frappe.datetime.obj_to_str(to_date));
}